<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="workbuttonmanage.aspx.cs" Inherits="HySoft.BaseCallCenter.Web.workordermanage.workorderset.workbuttonmanage" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <title></title>

     <link href="../../scripts/ui/skins/Aqua/css/ligerui-all.css" rel="stylesheet" type="text/css" />
    <script src="../../scripts/jquery/jquery-1.3.2.min.js" type="text/javascript"></script>
    <script src="../../scripts/ui/json2.js" type="text/javascript"></script>
    <script src="../../scripts/ui/js/core/base.js" type="text/javascript"></script>
    <script src="../../scripts/ui/js/ligerui.min.js" type="text/javascript"></script>
    <link href="../../scripts/ui/skins/Tab/css/tab.css" rel="stylesheet" type="text/css" />
    <link href="../../scripts/ui/skins/Tab/css/grid.css" rel="stylesheet" type="text/css" />
    <script src="../../scripts/ui/js/plugins/ligerGrid.js" type="text/javascript"></script>
    <script src="../../scripts/ui/js/plugins/ligerLayout.js" type="text/javascript"></script>
    <script src="../../scripts/ui/js/plugins/ligerTree.js" type="text/javascript"></script>
    <script src="../../scripts/ui/js/plugins/ligerMenu.js" type="text/javascript"></script>
    <script src="../../scripts/CustomersData.js" type="text/javascript"></script>
    <link href="../../scripts/ui/skins/ligerui-icons.css" rel="stylesheet" type="text/css" />
    <link href="../../images/style.css" rel="stylesheet" type="text/css" />
    <script type="text/javascript">
        var singleClick;
        var gridlist;
        $(function () {
            InitList();
        });
        function InitList() {
            var sql = GetSql();
            try {
                gridlist = $("#divDataList").ligerGrid({
                    checkbox: true,
                    height: '99%',
                    columns: [
                { display: 'ID', name: '_f_buttonid', width: '7%' },
                  { display: '按钮编号', name: '_f_code', width: '20%' },
                { display: '按钮名称', name: '_f_name', width: '20%' },

                { display: '描述', name: '_f_des', width: '53%' }

                ],
                    url: '../ajax/Workbuttonmanageajax.ashx?action=getlist&whereSql=' + sql, pageSize: 10, rownumbers: true,
                    onSelectRow: function (data, rowindex, rowobj) {
                        //                        singleClick = data._f_paramid;
                    }
                });
            }
            catch (e) {
                alert(e.Message);
            }
            gridlist.changePage('first');
            $("#pageloading").hide();
        }
        function GetSql() {
            var sql = "";
            if (document.getElementById("txtF_ParamCode").value != "") {
                sql += " and F_Code='" + document.getElementById("txtF_ParamCode").value + "'";
            }
            return sql;
        }

        //添加事件
        function Add() {
            $.ligerDialog.open({ url: 'workbuttonmanageEdit.aspx?action=Add', title: '添加状态信息', height: 370, width: 350, isResize: true
            });
        }

        //修改事件
        function ModifyEdit() {
            //var selectedRow = $("#tableList").datagrid("getSelected");
            var selectedRow = gridlist.getSelectedRows();
            //            alert(selectedRow[0]._f_buttonid);
            if (selectedRow != null && selectedRow.length != 0) {
                if (selectedRow.length > 0 && selectedRow.length < 2) {
                    $.ligerDialog.open({ url: 'workbuttonmanageEdit.aspx?action=Addedit&id=' + selectedRow[0]._f_buttonid, title: '添加状态信息', height: 370, width: 350, isResize: true });

                } else {
                    $.ligerDialog.alert("最多修改一条记录!");
                }
            } else {
                $.ligerDialog.alert("请选择修改项!");
            }
        }

        function Delete() {
            try {
                //获取选择的行
                var rows = gridlist.getSelectedRows();
                if (rows.length > 0) {
                    $.ligerDialog.confirm('确定要批量删除选择的记录吗？', function (yes) {
                        if (yes) {
                            try {
                                var arr = new Array();
                                var i = 0;
                                for (var i = 0; i < rows.length; i++) {
                                    arr[i] = rows[i]._f_buttonid;
                                }
                                $.post("../ajax/Workbuttonmanageajax.ashx?action=delete&arrid=" + arr.toString(), function (data) {
                                    if (data == "success") {
                                        $.ligerDialog.success('删除成功');
                                        InitList();
                                    }
                                    else {
                                        $.ligerDialog.error('删除失败');
                                    }
                                });
                            }
                            catch (e) {
                                alert(e.Message);
                            }
                        }
                        else {
                        }
                    });
                }
                else {
                    $.ligerDialog.error('没有选择要删除的参数');
                }
            }
            catch (e) {
                $.ligerDialog.error(e.Message);
            }
        }
        document.onkeydown = function (event) {
            var e = event || window.event || arguments.callee.caller.arguments[0];
            if (e && e.keyCode == 13) {
                InitList();
            }
        };
    </script>
</head>
<body>
    <form id="form2" runat="server">
      <div class="tools_box">
        <div class="tools_bar">
            <a class="tools_btn" href="#" onclick="Add();">
                <span><b class="add">添加</b></span>
            </a>
            <a class="tools_btn" href="#" onclick="ModifyEdit();">
                <span><b class="modify">修改</b></span>
            </a>
            <a class="tools_btn" href="#" onclick="Delete();"><span>
                    <b class="delete">批量删除</b></span> </a>
            <div class="search_box">
                 编号：<asp:TextBox ID="txtF_ParamCode" runat="server" CssClass="txtInput"></asp:TextBox>&nbsp;&nbsp;
                <input id="btnSearch" type="button" value="搜 索" class="btnSearch" onclick="InitList();" />
            </div>
        </div>
    </div>
    <div id="layout1">
      <div position="center" title="按钮操作列表">
            <div id="divDataList">
            </div>
        </div>
    </div>
    </form>
</body>
</html>
